
// Copyright (C) 2008 - INRIA - Michael Baudin
// Copyright (C) 2009 - Digiteo - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

extern "C" {
#include "stack-c.h" 
#include "Scierror.h"
#include "localization.h"
#include "gw_nisp.h"
}

/* ==================================================================== */


#include "nisp_gwsupport.hxx" 
#include "nisp_conf.h"


// nisp_initseed ( seed )
//  sets the seed for the uniform random number generator
int sci_nisp_initseed (char *fname) {
	int seedint;

	CheckRhs(1,1) ;
	CheckLhs(0,1) ;
	nisp_GetOneInteger ( fname , 1 , &seedint )
	nisp_initseed ( seedint );
	return 0;
}