
// Copyright (C) 2008 - INRIA - Michael Baudin
// Copyright (C) 2009 - Digiteo - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

extern "C" {
#include "stack-c.h" 
#include "Scierror.h"
#include "localization.h"
#include "gw_nisp.h"
}


/* ==================================================================== */

#include "nisp_gwsupport.hxx" 
#include "nisp_PolynomialChaos_map.hxx" 


/* ==================================================================== */
// 
// polychaos_getanova ( token )
//   prints out the anova
// polychaos_getanova ( token , r )
//   prints out the anova corresponding to r (TODO:  what is r ?)
//
int sci_polychaos_getanova (char *fname)
{
	int token;
	PolynomialChaos * pc = NULL;
	int r;

	CheckRhs(1,2) ;
	CheckLhs(0,1) ;
	nisp_gettoken ( fname , 1 , &token );
	if (Rhs==2) {
		nisp_GetOneInteger ( fname , 2 , &r );
	}
	nisp_token2Polychaos ( fname , 1 , token , &pc );
	if (Rhs==1) {
		pc -> GetAnova ( );
	} else if (Rhs==2) {
		pc -> GetAnova ( r );
	}
	nisp_CreateLhsInteger ( 1 , token );
	return 0;
}
/* ==================================================================== */

