
// Copyright (C) 2008 - INRIA - Michael Baudin
// Copyright (C) 2009 - Digiteo - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

extern "C" {
#include "stack-c.h" 
#include "Scierror.h"
#include "localization.h"
#include "gw_nisp.h"
}

/* ==================================================================== */

#include "nisp_gwsupport.hxx" 
#include "nisp_RandomVariable_map.hxx" 


/* ==================================================================== */
// 
// nb = randvar_size () 
//   returns the number of objects currently in use
//
int sci_randvar_size (char *fname)
{
	int size;
	double * mydata = NULL;
	double *pdblFinalVar = NULL; //SCILAB return Var

	CheckRhs(0,0) ;
	CheckLhs(0,1) ;
	size = nisp_RandomVariable_map_size ();
	nisp_CreateLhsInteger ( 1 , size );
	return 0;
}
/* ==================================================================== */

