
// Copyright (C) 2008 - INRIA - Michael Baudin
// Copyright (C) 2009 - Digiteo - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

extern "C" {
#include "stack-c.h" 
#include "Scierror.h"
#include "localization.h"
#include "gw_nisp.h"
}

/* ==================================================================== */

#include "nisp_gwsupport.hxx" 
#include "nisp_SetRandomVariable_map.hxx" 


/* ==================================================================== */
// 
// nx = setrandvar_getdimension ( token )
//   returns the number of input random variables.
//
int sci_setrandvar_getdimension (char *fname)
{
	int token;
	SetRandomVariable * srv = NULL;
	int dim;

	CheckRhs(1,1) ;
	CheckLhs(0,1) ;
	nisp_gettoken ( fname , 1 , & token );
	nisp_token2Setrandvar ( fname , 1 , token , &srv );
	dim = srv->GetDimension ( );
	nisp_CreateLhsInteger ( 1 , dim );
	return 0;
}
/* ==================================================================== */

