//
// Copyright (C)  2006-2009 - CEA - Jean-Marc Martinez
// Copyright (C)  2009 - Digiteo - Michael Baudin
//
// This file is released under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html
//
#ifndef _NISPTOOLS_SMOLYAK_H_
#define _NISPTOOLS_SMOLYAK_H_



void nisp_Build_MultiIndex_Filtre_norme_L1(vector<int *> * indices, int * min, int * max, int nx, int vmin, int vmax);
void nisp_Compute_Coef_Cnp_Signe(int *coef_Cnp, int *signe, vector<int *> * indices, int nx, int l);
int nisp_incrementation(int k[], int min[], int max[], int nx);
void TrapezoidalRule(double x[], double w[], int n);
void FejerRule(double x[], double w[], int n);
void ClenshawCurtisRule(double x[], double w[], int n);


#endif /* _NISPTOOLS_SMOLYAK_H_ */

