// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
// Copyright (C) 2011 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

// <-- Non-regression test for bug 212 -->
//
// <-- URL -->
// http://forge.scilab.org/index.php/p/nisp/issues/212/
//
// <-- Short Description -->
// The polychaos_readtarget function is undefined.

path = nisp_getpath();

srvx = setrandvar_new(fullfile(path,"tests","nonreg_tests","PlanStochastique.dat"));
np   = setrandvar_getsize(srvx);
pc   = polychaos_new(srvx,1);
degre = 2;
polychaos_setdegree(pc, degre);
polychaos_setsizetarget(pc, np);
polychaos_readtarget(pc, fullfile(path,"tests","nonreg_tests","Reponses.dat"));
//
setrandvar_destroy(srvx);
polychaos_destroy(pc);


